commit:     b3430fb84de0fad5ed4b8f3606e866262181cfa3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 26 04:28:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 26 07:02:23 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3430fb8

dev-python/grpcio-status: Bump to 1.72.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/grpcio-status/Manifest                  |  1 +
 .../grpcio-status/grpcio-status-1.72.0.ebuild      | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/grpcio-status/Manifest 
b/dev-python/grpcio-status/Manifest
index bfb7bde2f1e3..bc4be3820878 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1,2 +1,3 @@
 DIST grpc-1.68.1.gh.tar.gz 17320674 BLAKE2B 
46f4ae35c6a3a6ddfd47918a68a42d10e115ef81052715e8d8a73abf973063c730ddda06373278f3a4a6280dd4938e530a5e7377ab76aa653bb208583deab7f3
 SHA512 
cfb88a1290e2ee46fbd5f2b50b9c066ac174b1077170088c3b1a30bd37e66c6ca5254d2b951329a3991ac2b4320d12a50b1464babffbfc3bcf4eab670a449fd1
 DIST grpc-1.71.0.gh.tar.gz 14659092 BLAKE2B 
8c08020eca27c97d5a47e61a758e482662425c8afe6feef8f3ba9cd0fe2d2c100c9087b16fbf3f2ba3d447aee5d7da3267db7c6e642e2a94f554640364135990
 SHA512 
25783f75295919d0a077e3d0ff70ea2e651eaf107da2ebe8af40a584540f2f56aae0e04c7b809f3b1eb7d5adc3892f84464662d80b1234a111836f454ba84a18
+DIST grpc-1.72.0.gh.tar.gz 14730317 BLAKE2B 
f4b16fcef3efa086cce043197e0d7bb6dc858074c329c3c993f33a5a65db72d8cf8106bc3d96cf72a12cf3040405e91f1d2fda2ac64b558ed00b18d6aef5821a
 SHA512 
e56c37f6b2370426df63e700d9cf227864812911ae071f1c34626d0c336d6b6b42ca5d7cdc6d5d04744009aca6be8769fe9b0f15992f3aa2112e6166ed326f6a

diff --git a/dev-python/grpcio-status/grpcio-status-1.72.0.ebuild 
b/dev-python/grpcio-status/grpcio-status-1.72.0.ebuild
new file mode 100644
index 000000000000..7cdc39b4dfd3
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.72.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+       https://grpc.io/
+       https://github.com/grpc/grpc/
+       https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+       https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+       <dev-python/protobuf-7[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-6.30.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+       cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+       epytest tests{,_aio}/status
+}

Reply via email to